io.vertx.rxjava3.ext.stomp

## Class DestinationFactory

- java.lang.Object
- - io.vertx.rxjava3.ext.stomp.DestinationFactory

-     public class DestinationFactory
      extends Object

  Interface implemented to customize the destination creation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DestinationFactory>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestinationFactory(DestinationFactory delegate)`
    `DestinationFactory(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Destination` | `create(Vertx vertx, String name)` Creates a destination for the given address.
    `boolean` | `equals(Object o)`
    `DestinationFactory` | `getDelegate()`
    `int` | `hashCode()`
    `static DestinationFactory` | `newInstance(DestinationFactory arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DestinationFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### DestinationFactory

          public DestinationFactory(DestinationFactory delegate)

    - #### DestinationFactory

          public DestinationFactory(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DestinationFactory getDelegate()

    - #### create

          public Destination create(Vertx vertx,
                                    String name)

      Creates a destination for the given address.
      Parameters:
        `vertx` - the vert.x instance used by the STOMP server.
        `name` - the destination name.
      Returns:
        the destination, `null` to reject the creation.

    - #### newInstance

          public static DestinationFactory newInstance(DestinationFactory arg)

Copyright © 2022 Eclipse. All rights reserved.